# Islands Text Client v0.1.74 Islands.Text.Client.State View Source

Holds the state of a text client playing the Game of Islands.

# Link to this section Summary

## Types

t()

## Functions

new(game_name, player_id, player_name, mode, pause)

# Link to this section Types

Link to this type t() View Source

    t() :: %Islands.Text.Client.State{
      game_name: String.t(),
      mode: :manual | :auto,
      move: [String.codepoint() | pos_integer() | String.t()],
      pause: 1..9999,
      player_id: Islands.Engine.Game.player_id(),
      player_name: String.t(),
      tally: Islands.Engine.Game.Tally.t()
    }

# Link to this section Functions

Link to this function new(game_name, player_id, player_name, mode, pause) View Source

    new(
      String.t(),
      Islands.Engine.Game.player_id(),
      String.t(),
      atom(),
      pos_integer()
    ) :: t()